petsc-3.4.2 2013-07-02

# SectionRealCreateLocalVector

Creates a vector with the local piece of the Section

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionRealCreateLocalVector(SectionReal section, Vec *localVec)

Collective on DMMesh

### Input Parameter

section -the Section

### Output Parameter

localVec -the local vector

Notes: The vector can safely be destroyed using VecDestroy().

### See Also

DMMeshDestroy(), DMMeshCreate()

Level:advanced
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html